/* SECTION 1 (things that legally belongs to you) */
.legally-container {
  width: 100%;
  padding: 0 60px;
}

.legally-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
  padding-top: 50px;
  position: relative;
}

.legally-dot-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 30px;
  right: 0;
}

.legally-image-layout {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  min-width: 346px;
}

.legally-image-primary {
  display: flex;
  flex-direction: column;
}

.legally-image-primary img {
  max-width: 209px;
  width: 100%;
  height: auto;
  object-fit: cover;
  z-index: 3;
}

.primary-img-deco {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: -107px;
  z-index: 0;
}

.primary-img-deco img {
  max-width: 186px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.legally-image-secondary {
  display: flex;
  justify-content: center;
  align-items: center;
}

.legally-image-secondary img {
  max-width: 214px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.legally-content {
  max-width: 504px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.legally-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.legally-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.legally-head-para p {
  max-width: 488px;
}

.legally-divider {
  height: 1px;
  background-color: rgba(63, 63, 65, 0.37);
  max-width: 488px;
  width: 100%;
  position: relative;
}

.divider-inner-red {
  max-width: 38px;
  width: 100%;
  height: 2px;
  background-color: var(--color-red);
  position: absolute;
  left: 20px;
  top: -1px;
  border-radius: 1px;
}

.legally-belong-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.legally-belong-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.legally-belong-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1100px) {
  .legally-wrapper {
    gap: 50px;
  }

  .legally-image-layout {
    gap: 15px;
  }
}

@media (max-width: 1023.98px) {
  .legally-container {
    padding: 0 20px;
  }

  .legally-wrapper {
    padding: 60px 0;
    padding-top: 40px;
    flex-direction: column-reverse;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .legally-image-layout {
    max-width: 346px;
    min-width: unset;
  }

  .legally-content {
    max-width: 686px;
    align-items: center;
  }

  .legally-head-para {
    width: 100%;
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .legally-head-para p {
    max-width: 100%;
    padding: 0 5px;
  }
}

@media (max-width: 640.98px) {
  .legally-container {
    padding: 0 16px;
  }

  .legally-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .legally-head {
    gap: 1px;
    max-width: 270px;
  }

  .legally-head-para p {
    padding: 0;
  }

  .legally-dot-deco img {
    width: 40px;
    height: 40px;
  }
}

@media (max-width: 480.98px) {
  .legally-belong-list {
    max-width: 295px;
  }
}

/* SECTION 2 (keeping stridhan is illegal) */
.stridhan-container {
  width: 100%;
  padding: 0 50px;
  background-color: var(--color-light-red);
}

.stridhan-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
  position: relative;
}

.stridhan-circle-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  right: 0;
  bottom: 30px;
}

.stridhan-content {
  max-width: 460px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.stridhan-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.stridhan-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.stridhan-point-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.stridhan-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.stridhan-point-icon {
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #ffbcdf;
  flex-shrink: 0;
}

.stridhan-point-item p {
  color: #0d0e10;
}

.stridhan-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.stridhan-image img {
  max-width: 405px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1023.98px) {
  .stridhan-container {
    padding: 0 20px;
  }

  .stridhan-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .stridhan-content {
    max-width: 100%;
    align-items: center;
  }

  .stridhan-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
    max-width: 522px;
  }

  .stridhan-point-list {
    max-width: 484px;
  }

  .stridhan-image img {
    max-width: 370px;
  }
}

@media (max-width: 640.98px) {
  .stridhan-container {
    padding: 0 16px;
  }

  .stridhan-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .stridhan-head {
    padding: 0 10px;
    gap: 1px;
  }
}

/* SECTION 3 (rocovery stridhan) */
.recovery-container {
  width: 100%;
  padding: 0 36px;
}

.recovery-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
  position: relative;
}

.recovery-box-deco {
  position: absolute;
  bottom: 40px;
  right: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: rotate(149deg);
}

.recovery-image-layout {
  aspect-ratio: 437 / 410;
  max-width: 437px;
  width: 100%;
  min-width: 336px;
  height: auto;
  display: flex;
  justify-content: center;
  gap: 15px;
}

.recovery-image-primary {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.recovery-image-primary img {
  max-width: 211px;
  width: 100%;
  height: auto;
  object-fit: cover;
  z-index: 1;
}

.rocovery-primary-deco {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: -50px;
}

.rocovery-primary-deco img {
  max-width: 160px;
  width: 100%;
  height: auto;
  object-fit: cover;
  z-index: 0;
}

.recovery-image-secondary {
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  position: relative;
}

.recovery-image-secondary img {
  max-width: 211px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.recovery-secondary-deco {
  aspect-ratio: 1 / 1;
  max-width: 161px;
  width: 100%;
  height: auto;
  border-radius: 50%;
  border: 3px solid #ffe6f3;
  margin-bottom: -80.5px;
}

.recovery-badge {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  left: 16%;
}

.recovery-badge img {
  max-width: 138px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.recovery-content {
  max-width: 690px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.recovery-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.recovery-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.recovery-point-list {
  max-width: 564px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  place-self: flex-start;
  gap: 30px 47px;
}

.recovery-point-item {
  display: flex;
  align-items: flex-start;
  gap: 8px;
}

.recovery-point-icon {
  width: 49px;
  height: 49px;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #ffe6f3;
  position: relative;
}

.recovery-point-icon img {
  position: absolute;
  width: 60px;
  height: auto;
  object-fit: cover;
  top: 5px;
  left: 12px;
}

.recovery-point-item p {
  margin: auto 0;
  margin-left: 16px;
  color: var(--color-black);
}

@media (max-width: 1100px) {
  .recovery-point-list {
    gap: 30px 16px;
  }

  .recovery-box-deco {
    right: 0;
    bottom: 30px;
  }
}

@media (max-width: 1023.98px) {
  .recovery-container {
    padding: 0 20px;
  }

  .recovery-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .recovery-image-layout {
    max-width: 390px;
  }

  .recovery-content {
    max-width: 100%;
    align-items: center;
  }

  .recovery-head-para {
    max-width: 728px;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .recovery-point-list {
    place-self: unset;
    max-width: 536px;
  }

  .recovery-box-deco {
    bottom: 45px;
    right: 20px;
  }
}

@media (max-width: 640.98px) {
  .recovery-container {
    padding: 0 16px;
  }

  .recovery-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .recovery-box-deco {
    bottom: -10px;
    right: 0;
  }

  .recovery-point-list {
    grid-template-columns: 1fr;
    place-self: flex-start;
    gap: 13px;
  }

  .recovery-point-icon {
    width: 34px;
    height: 34px;
    border-radius: 2px;
    margin-bottom: 12px;
  }

  .recovery-point-icon img {
    width: 41px;
    height: 41px;
  }

  .recovery-image-layout {
    min-width: unset;
  }
}

@media (max-width: 480px) {
  .recovery-image-layout {
    max-width: 341px;
  }

  .recovery-badge {
    left: 18%;
  }

  .recovery-badge img {
    max-width: 117px;
  }

  .recovery-secondary-deco,
  .rocovery-primary-deco img {
    max-width: 124px;
  }
}

/* SECTION 4 (how the law helps you recover stridhan) */
.law-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-red);
}

.law-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
  position: relative;
}

.law-wrapper-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 66px;
  right: 20px;
}

.law-head-para {
  max-width: 700px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 15px;
}

.law-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3px;
}

.law-card-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 30px 20px;
  place-content: center;
  max-width: 1188px;
}

.law-card {
  max-width: 583px;
  width: 100%;
  min-height: 182px;
  display: flex;
  align-items: center;
  gap: 24px;
  padding: 23px 32px;
  border-radius: 4px;
  background-color: var(--color-white);
  cursor: default;
  transition: all 0.2s ease;
}

.law-card-icon {
  max-width: 112px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.law-card-icon img {
  max-width: 87px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.law-card-content {
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.law-card-content h3,
.law-card-content p {
  margin: 0;
}

.law-card:hover {
  background-color: var(--color-red);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.law-card:hover > .law-card-content h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.law-card:hover > .law-card-icon.c1 img {
  content: url("../../assets/icons/house-user-white-hover-icn.svg");
}

.law-card:hover > .law-card-icon.c2 img {
  content: url("../../assets/icons/court-order-white-hover-icn.svg");
}

.law-card:hover > .law-card-icon.c3 img {
  content: url("../../assets/icons/legal-case-white-hover-icn.svg");
}

.law-card:hover > .law-card-icon.c4 img {
  content: url("../../assets/icons/budget-alt-white-hover-icn.svg");
}

@media (max-width: 1023.98px) {
  .law-wrapper {
    padding: 60px 0;
  }

  .law-wrapper-deco {
    top: 60px;
    right: 12px;
  }

  .law-head {
    max-width: 470px;
    align-items: center;
    text-align: center;
  }

  .law-wrapper-deco img {
    width: 37px;
    height: 37px;
  }

  .law-card-list {
    grid-template-columns: 1fr;
    place-items: center;
  }

  .law-card {
    max-width: 588px;
  }
}

@media (max-width: 640.98px) {
  .law-container {
    padding: 0 16px;
  }

  .law-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .law-wrapper-deco img {
    width: 24px;
    height: 24px;
  }

  .law-head {
    max-width: 340px;
    gap: 1px;
  }
}

@media (max-width: 580px) {
  .law-wrapper-deco {
    top: 36px;
    right: 0;
  }

  .law-card {
    max-width: 313px;
    flex-direction: column;
    align-items: flex-start;
  }

  .law-card-icon {
    max-width: fit-content;
  }

  .law-card-icon img {
    width: 39px;
    height: 39px;
  }

  .law-card-content {
    gap: 16px;
  }
}

/* SECTION 5 (Legal way to recover stridhan) */
.process-container {
  width: 100%;
  padding: 0 30px;
  background-color: var(--color-white);
}

.process-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 50px;
  padding: 80px 0;
  position: relative;
}

.process-body-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  right: -16px;
  bottom: 30px;
}

.process-card-list {
  max-width: 614px;
  min-width: 534px;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 14px;
  position: relative;
}

.process-card-list::before {
  content: "";
  position: absolute;
  background-color: var(--color-light-red);
  z-index: 0;
}

.process-card-list::before {
  width: 268px;
  height: 268px;
  border-radius: 50%;
  left: 173px;
  top: 118px;
}

.process-card {
  min-height: 246px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  gap: 15px;
  padding: 35px 7px;
  border: 1px solid #ffe5f3;
  border-radius: 6px;
  background-color: var(--color-white);
  position: relative;
  z-index: 1;
  cursor: default;
}

.process-card-number {
  width: 92px;
  height: 72px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 30px;
  background-image: url(../../assets/images/legal-way-card-icon-bg-img.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  color: var(--color-white);
  flex-shrink: 0;
  font-size: 32px;
  line-height: 42px;
  font-weight: 600;
}

.process-card-content {
  max-width: 245px;
  padding: 0 13px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  text-align: center;
}

.process-card-content h3,
.process-card-content p {
  margin: 0;
}

.process-card:hover {
  background-color: #ffe5f3;
  transition: all 0.2s ease;
}

.process-content {
  max-width: 552px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.process-head-para {
  display: flex;
  flex-direction: column;
  gap: 19px;
}

.process-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 435px;
}

.process-head h2 {
  max-width: 474px;
  margin: 0;
}

.process-divider {
  height: 1px;
  max-width: 465px;
  width: 100%;
  background-color: rgba(63, 63, 65, 0.37);
  position: relative;
}

.process-divider .divider-inner-red {
  left: 24px;
}

.process-head-para p {
  max-width: 543px;
  margin: 0;
}

@media (max-width: 1167px) {
  .process-card-list::before {
    left: 160px;
  }
}

@media (max-width: 1023.98px) {
  .process-container {
    padding: 0 20px;
  }

  .process-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
    flex-direction: column-reverse;
  }

  .process-content {
    max-width: 100%;
    align-items: center;
  }

  .process-divider {
    max-width: 575px;
  }

  .process-head-para {
    max-width: 708px;
    gap: 8px;
    align-items: center;
    text-align: center;
  }

  .process-head-para p {
    max-width: 100%;
  }

  .process-head {
    max-width: 100%;
  }

  .process-head h2 {
    max-width: 100%;
  }

  .process-card-list {
    max-width: 630px;
    gap: 30px;
  }

  .process-card-list::before {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  .process-body-deco img {
    max-width: 60px;
    width: 100%;
    height: auto;
  }
}

@media (max-width: 767.98px) {
  .process-body-deco {
    bottom: 0;
    display: none;
  }

  .process-body-deco img {
    max-width: 44px;
  }

  .process-card-list {
    min-width: unset;
    max-width: 299px;
    grid-template-columns: 1fr;
    place-items: center;
  }

  .process-card {
    min-width: unset;
    max-width: 299px;
  }

  .process-card-number {
    width: 64px;
    height: 50px;
    font-size: 26px;
    line-height: 36px;
  }

  .process-card-content {
    max-width: 190px;
    padding: 0;
  }
}

@media (max-width: 640.98px) {
  .process-container {
    padding: 0 16px;
  }

  .process-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .process-head {
    gap: 1px;
  }
}

/* SECTION 6 (important things you should know) */
.important-container {
  width: 100%;
  padding: 0 34px;
  background-color: var(--color-light-red);
}

.important-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.important-content {
  max-width: 509px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.important-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.important-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.important-point-list {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 30px 24px;
}

.important-point-item {
  min-height: 90px;
  display: flex;
  align-items: center;
  gap: 12px;
  padding: 16px;
  border-radius: 4px;
  background-color: var(--color-white);
  cursor: default;
  transition: all 0.2s ease;
}

.important-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--color-red);
  flex-shrink: 0;
}

.important-point-item p {
  margin: 0;
}

.important-point-item:hover {
  background-color: var(--color-red);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.important-point-item:hover > .important-point-icon {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.important-image-layout {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.important-image-layout img {
  max-width: 536px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1100px) {
  .important-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1023.98px) {
  .important-container {
    padding: 0 20px;
  }

  .important-wrapper {
    padding: 60px 0;
    flex-direction: column-reverse;
    align-items: center;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .important-content {
    max-width: 100%;
    align-items: center;
  }

  .important-head-para {
    max-width: 100%;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .important-head-para p {
    max-width: 557px;
  }

  .important-point-list {
    max-width: 502px;
    gap: 30px 10px;
  }
}

@media (max-width: 640.98px) {
  .important-container {
    padding: 0 16px;
  }

  .important-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .important-point-list {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .important-point-item {
    min-height: unset;
  }
}
